/**
 * Champion Medals
 * Copyright (c) 2023 NaNInf
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>.
 */

class LiveRecordLayer : PlaygroundLayer {
    bool IsVisible() override {
        return
            ui_layer !is null &&
            ui_layer.LocalPage !is null &&
            ui_layer.LocalPage.MainFrame !is null &&
            ui_layer.LocalPage.MainFrame.Visible &&
            ui_layer.LocalPage.GetFirstChild("clip-medal-banner") !is null &&
            ui_layer.LocalPage.GetFirstChild("clip-medal-banner").Visible;
    }

    void Draw() override {
        if (!ShouldDraw()) return;

        CGameManialinkControl@ medal_quad = ui_layer.LocalPage.GetFirstChild("quad-medal");
        if (medal_quad is null) return;
        vec2 medal_quad_pos = medal_quad.AbsolutePosition_V3;

        vec2 coords = UIUtils::PlaygroundMedalCoords(medal_quad_pos);
        vec2 size = UIUtils::PlaygroundMedalSizeRecord();
        medal.DrawListImage(size, coords, Align::Center | Align::Middle);
    }
}
